Debian Bug report logs - #552138
libc0.1-dev: Incorrect ICMP6_FILTER* macros on kFreeBSD

version graph

Package: libc0.1-dev; Maintainer for libc0.1-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1-dev is src:eglibc.

Reported by: Axel Beckert <abe@deuxchevaux.org>

Date: Fri, 23 Oct 2009 16:45:02 UTC

Severity: normal

Tags: ipv6

Fixed in version eglibc/2.10.1-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@deuxchevaux.org, Guillem Jover <guillem@debian.org>:
Bug#552138; Package inetutils-ping. (Fri, 23 Oct 2009 16:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to abe@deuxchevaux.org, Guillem Jover <guillem@debian.org>. (Fri, 23 Oct 2009 16:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: inetutils-ping: ping6 doesn't work on kfreebsd-i386
Date: Fri, 23 Oct 2009 18:07:31 +0200 (CEST)
Package: inetutils-ping
Version: 2:1.6-3
Severity: normal
Tags: ipv6
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

On kfreebsd-i386, "ping6 ::1" (as well as pinging every other host I
tried with ping6) exits with return code 1, although the loopback
interface exists and has ::1 as IPv6 address:

lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
        inet6 ::1 prefixlen 128 
        inet6 fe80::1%lo0 prefixlen 64 scopeid 0x2 
        inet 127.0.0.1 netmask 0xff000000 

ktrace shows the following error shortly before exiting:

 85522 ping6    RET   getpid 85522/0x14e12
 85522 ping6    CALL  socket(0x1c,0x3,0x3a)
 85522 ping6    RET   socket 3
 85522 ping6    CALL  setsockopt(0x3,0x3a,0x1,0xbfbfe620,0x20)
 85522 ping6    RET   setsockopt -1 errno 42 Protocol not available
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 85522 ping6    CALL  close(0x3)
 85522 ping6    RET   close 0
 85522 ping6    CALL  exit(0x1)

ping itself works fine.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (110, 'experimental')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages inetutils-ping depends on:
ii  libc0.1                       2.9-27     GNU C Library: Shared libraries
ii  netbase                       4.37       Basic TCP/IP networking system

inetutils-ping recommends no packages.

inetutils-ping suggests no packages.

-- no debconf information

-- debsums errors found:
Your vendor has not defined Fcntl macro O_NOATIME, used at /usr/bin/debsums line 277.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#552138; Package inetutils-ping. (Thu, 29 Oct 2009 07:25:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. (Thu, 29 Oct 2009 07:25:58 GMT) Full text and rfc822 format available.

Message #10 received at 552138@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Axel Beckert <abe@deuxchevaux.org>, 552138@bugs.debian.org
Cc: libc0.1-dev@packages.debian.org
Subject: Re: Bug#552138: inetutils-ping: ping6 doesn't work on kfreebsd-i386
Date: Wed, 28 Oct 2009 18:25:55 +0100
reassign 552138 libc0.1-dev
retitle 552138 libc0.1-dev: Incorrect ICMP6_FILTER* macros on kFreeBSD
thanks

Hi!

On Fri, 2009-10-23 at 18:07:31 +0200, Axel Beckert wrote:
> Package: inetutils-ping
> Version: 2:1.6-3
> Severity: normal
> Tags: ipv6
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> On kfreebsd-i386, "ping6 ::1" (as well as pinging every other host I
> tried with ping6) exits with return code 1, although the loopback
> interface exists and has ::1 as IPv6 address:
> 
> lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
>         inet6 ::1 prefixlen 128 
>         inet6 fe80::1%lo0 prefixlen 64 scopeid 0x2 
>         inet 127.0.0.1 netmask 0xff000000 
> 
> ktrace shows the following error shortly before exiting:
> 
>  85522 ping6    RET   getpid 85522/0x14e12
>  85522 ping6    CALL  socket(0x1c,0x3,0x3a)
>  85522 ping6    RET   socket 3
>  85522 ping6    CALL  setsockopt(0x3,0x3a,0x1,0xbfbfe620,0x20)
                                            ^^^

This is a problem in eglibc, the header <bits/in.h> defines
ICMP6_FILTER to 18 as it should be on kFreeBSD, but to 1 in
<netinet/icmp6.h> which is the one being used by ping6.

Once replaced with the correct code, it does not error out, but it
still does not work, as the ICMP6_FILTER_SETPASS* and
ICMP6_FILTER_SETBLOCK* macros are also wrong, they are inverted,
memsetting 0xff where they should be using 0x0 and setting and
clearing the bits where they should do the reverse.

>  85522 ping6    RET   setsockopt -1 errno 42 Protocol not available
>                                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>  85522 ping6    CALL  close(0x3)
>  85522 ping6    RET   close 0
>  85522 ping6    CALL  exit(0x1)
> 
> ping itself works fine.

regards,
guillem




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Thu, 29 Oct 2009 12:50:48 GMT) Full text and rfc822 format available.

Bug reassigned from package 'inetutils-ping' to 'libc0.1-dev'. Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 30 Oct 2009 15:09:42 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions inetutils/2:1.6-3. Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 30 Oct 2009 15:09:45 GMT) Full text and rfc822 format available.

Changed Bug title to 'libc0.1-dev: Incorrect ICMP6_FILTER* macros on kFreeBSD' from 'inetutils-ping: ping6 doesn't work on kfreebsd-i386' Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 30 Oct 2009 15:09:49 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 31 Oct 2009 23:21:12 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@deuxchevaux.org>:
Bug acknowledged by developer. (Sat, 31 Oct 2009 23:21:12 GMT) Full text and rfc822 format available.

Message #23 received at 552138-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 552138-close@bugs.debian.org
Subject: Bug#552138: fixed in eglibc 2.10.1-4
Date: Sat, 31 Oct 2009 22:56:49 +0000
Source: eglibc
Source-Version: 2.10.1-4

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.10.1-4_all.deb
  to main/e/eglibc/eglibc-source_2.10.1-4_all.deb
eglibc_2.10.1-4.diff.gz
  to main/e/eglibc/eglibc_2.10.1-4.diff.gz
eglibc_2.10.1-4.dsc
  to main/e/eglibc/eglibc_2.10.1-4.dsc
glibc-doc_2.10.1-4_all.deb
  to main/e/eglibc/glibc-doc_2.10.1-4_all.deb
libc-bin_2.10.1-4_amd64.deb
  to main/e/eglibc/libc-bin_2.10.1-4_amd64.deb
libc-dev-bin_2.10.1-4_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.10.1-4_amd64.deb
libc6-dbg_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-dbg_2.10.1-4_amd64.deb
libc6-dev-i386_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.10.1-4_amd64.deb
libc6-dev_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-dev_2.10.1-4_amd64.deb
libc6-i386_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-i386_2.10.1-4_amd64.deb
libc6-pic_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-pic_2.10.1-4_amd64.deb
libc6-prof_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6-prof_2.10.1-4_amd64.deb
libc6-udeb_2.10.1-4_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.10.1-4_amd64.udeb
libc6_2.10.1-4_amd64.deb
  to main/e/eglibc/libc6_2.10.1-4_amd64.deb
libnss-dns-udeb_2.10.1-4_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.10.1-4_amd64.udeb
libnss-files-udeb_2.10.1-4_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.10.1-4_amd64.udeb
locales-all_2.10.1-4_amd64.deb
  to main/e/eglibc/locales-all_2.10.1-4_amd64.deb
locales_2.10.1-4_all.deb
  to main/e/eglibc/locales_2.10.1-4_all.deb
nscd_2.10.1-4_amd64.deb
  to main/e/eglibc/nscd_2.10.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552138@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Oct 2009 09:48:09 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.10.1-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - GNU C Library: Documentation
 libc-bin   - GNU C Library: Binaries
 libc-dev-bin - GNU C Library: Development binaries
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 552138 552233 552819 553053
Changes: 
 eglibc (2.10.1-4) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * patches/any/submitted-localedef-mmap.diff: new patch to cope with
     different mmap alignment restrictions between MMAP_SHARED and
     MMAP_PRIVATE. On SPARC64, MMAP_SHARED implies a 16kB alignment (L1
     D-Cache size), while MMAP_PRIVATE implies a 8kB alignment (page
     size).  Closes: #552233.
   * patches/any/submitted-confname.h.diff: new patch to fix build of
     bits/confname.h with -pedantic-errors.  Closes: #552819.
   * kfreebsd/local-sysdeps.diff: update to revision 2817 (from glibc-bsd).
     Fixes <netinet/icmp6.h>.  Closes: #552138.
   * Disable PIE on MIPS/MIPSEL.
   * Replace patches/s390/submitted-getutmpx.diff by upstream version
     (patches/any/cvs-getutmpx-compat.diff).
   * Don't include debian/ and stamp-dir/ in eglibc source tarball.  Closes:
     #553053.
   * Switch to the more common xz format from lzma for eglibc-source
     tarball.
Checksums-Sha1: 
 e40bfcdcd6c518ba8a8ff470d11046d4df08143a 2765 eglibc_2.10.1-4.dsc
 934236eed8277ef533d227a5ad75e7361b0f760d 770939 eglibc_2.10.1-4.diff.gz
 f54dd0215bb4abe8c5797cbfce50224857dec026 1812096 glibc-doc_2.10.1-4_all.deb
 909f1a859c6350a029a58f640ac6432fb4ffa335 10921694 eglibc-source_2.10.1-4_all.deb
 4895954a74421b60a57ac9092875e06ee4cea695 4748400 locales_2.10.1-4_all.deb
 227587d5ec120dacfd585a189a1d0dd0727e7d0d 4226640 libc6_2.10.1-4_amd64.deb
 0cac167e7d4c44c0d921187a6872a348925125cc 2546880 libc6-dev_2.10.1-4_amd64.deb
 c8537b24532be9bc6e75961a1dbab5156042d2a3 1991398 libc6-prof_2.10.1-4_amd64.deb
 c98f254420d3246c017bda245c7f3ba36c74e55b 1514906 libc6-pic_2.10.1-4_amd64.deb
 55334bb7c9b1832c977db201f1ddd32221e0df9d 726538 libc-bin_2.10.1-4_amd64.deb
 48e69299fecad8f5fe247ed52b57bd3bb1b51433 199574 libc-dev-bin_2.10.1-4_amd64.deb
 7f63db8a62534ecefac004c4c42c088417fe40f9 3064448 locales-all_2.10.1-4_amd64.deb
 cd9b654c5550d49b5247c9d3da4383c25283cb28 3775810 libc6-i386_2.10.1-4_amd64.deb
 7e90f1e0488bdde801471e5213f5fdda10eb2f53 1498702 libc6-dev-i386_2.10.1-4_amd64.deb
 0a455fa1d1eb71f3305268aadf05f72ef93a4b81 188480 nscd_2.10.1-4_amd64.deb
 fc8aa638e28ffc21cf9bfea89c28aa6d66a8363b 10268136 libc6-dbg_2.10.1-4_amd64.deb
 47f30c3dd4de41e4bcd7dccd50ebf9c9a390cae7 1134312 libc6-udeb_2.10.1-4_amd64.udeb
 64f2c8121b33ebd0f7b2ed92b505905fdc798ed5 11214 libnss-dns-udeb_2.10.1-4_amd64.udeb
 2f36d983e4afdcb5b7126947e8e6fdc22dfcdd13 19542 libnss-files-udeb_2.10.1-4_amd64.udeb
Checksums-Sha256: 
 6ad2ce63c51f30f4c4b67554ce9e8a7981a92cd8e71d2114d5aff10497ddf3fe 2765 eglibc_2.10.1-4.dsc
 3c7052f149a3553ba76cc68b9fc43cd76ada9cdfc5d08c8ff97a03c75dc8f5ba 770939 eglibc_2.10.1-4.diff.gz
 e187540ae064b8227691877a1098251b81d4710c9ce4a40bbea3353426464c8b 1812096 glibc-doc_2.10.1-4_all.deb
 5bbad6f0ce1c9c258d49f4b1baad335c708564ebd555a750c175b6a4290bf4c8 10921694 eglibc-source_2.10.1-4_all.deb
 88a6eb3f4dd1c819e95a3549e3f35e4918c536ffde153804315545ae9e9a4548 4748400 locales_2.10.1-4_all.deb
 4b2257f354641289f27362a13092ddffc2c9aa5b0fd223ba23102d6baa0712a3 4226640 libc6_2.10.1-4_amd64.deb
 c07172d34cc588b3ce67776aa82b5f6c815520f6c648657c0d6d536f5f3453fd 2546880 libc6-dev_2.10.1-4_amd64.deb
 dbb2d9663a8a05494104939e9e7f8543bbfdb0782f47833cd69b54802de67642 1991398 libc6-prof_2.10.1-4_amd64.deb
 c1bf209f1f9afb17e8333773530cb341b69fa513fbd8f7617fc4533fd219edb4 1514906 libc6-pic_2.10.1-4_amd64.deb
 461af47847f7ff577dba1c086cd8bcc0d1f9195807c92da8ddc745677fcafa9d 726538 libc-bin_2.10.1-4_amd64.deb
 03d6d7f425ec3043157846759e0c260664f872263eed2df5570620486ac4dc66 199574 libc-dev-bin_2.10.1-4_amd64.deb
 a899a342e4098ce381ee2dedd283a748dacef943676d64f8f8c06e1c1153b2b6 3064448 locales-all_2.10.1-4_amd64.deb
 b0bc8d69c50848940d30c0b717df9061ade967b3b191fde283541beb5cf25c93 3775810 libc6-i386_2.10.1-4_amd64.deb
 3d50440b8e95bffd1ad643031cd707f7ebe3b90201aac808f5479aca6d1f9c2f 1498702 libc6-dev-i386_2.10.1-4_amd64.deb
 9451fcfa8edac137c27ad2afad91e100e92d49a8c15df64f146b17b15cf00490 188480 nscd_2.10.1-4_amd64.deb
 b9dcaf4e4b04e7137bd263fb5fc46e3bf227b17332e24bd731cb673547798780 10268136 libc6-dbg_2.10.1-4_amd64.deb
 d4b41ddc2197b75b417c9af9f8c86f351ac34bc8be52737ff945db60871997e9 1134312 libc6-udeb_2.10.1-4_amd64.udeb
 9412fb03c5dfe9511630ba0311b3738b9298bf3ff5f59bedb64b9496ee790375 11214 libnss-dns-udeb_2.10.1-4_amd64.udeb
 4bfd3612fd52696fe6f14ee7e00e4dea1004790c541f9012a2b10d7d210cd109 19542 libnss-files-udeb_2.10.1-4_amd64.udeb
Files: 
 e6447c82e634dcbe9de7da502be29051 2765 libs required eglibc_2.10.1-4.dsc
 76529b348fabae41468a0a5615a677f2 770939 libs required eglibc_2.10.1-4.diff.gz
 b2e2f90043028e27f4d2afd0adcd3bad 1812096 doc optional glibc-doc_2.10.1-4_all.deb
 ac68aef4fbf8c368b24fe2a7967a1acc 10921694 devel optional eglibc-source_2.10.1-4_all.deb
 a1b0c0cc22727cb0fc2ec8c379238c55 4748400 libs standard locales_2.10.1-4_all.deb
 1f27fe41690f59bb154d10cea09cea46 4226640 libs required libc6_2.10.1-4_amd64.deb
 9deac4566ee4c922e0fae424cd8ddcff 2546880 libdevel optional libc6-dev_2.10.1-4_amd64.deb
 385e189de8cc4978fef7a7b9935f9042 1991398 libdevel extra libc6-prof_2.10.1-4_amd64.deb
 63bc1f07fee980f299c6eb38850168fe 1514906 libdevel optional libc6-pic_2.10.1-4_amd64.deb
 1dd91b2572494fbd0bd358eb9f0c5a88 726538 libs required libc-bin_2.10.1-4_amd64.deb
 f21a7ca3aa007a54523b9ff7bcf99678 199574 libdevel optional libc-dev-bin_2.10.1-4_amd64.deb
 91247b8d2b3119339eb21220d3b57d16 3064448 libs extra locales-all_2.10.1-4_amd64.deb
 56a1abe018b1a29ac39bf1b33ab6f7ea 3775810 libs optional libc6-i386_2.10.1-4_amd64.deb
 f95bf22b92c31142bab2eed0d8a31c00 1498702 libdevel optional libc6-dev-i386_2.10.1-4_amd64.deb
 9d7d90767055a78162fb9d240b3ec921 188480 admin optional nscd_2.10.1-4_amd64.deb
 29f930f73238fb1a030e5c4470c0775b 10268136 debug extra libc6-dbg_2.10.1-4_amd64.deb
 c12b46d67fca08f137775ec0763ebd6e 1134312 debian-installer extra libc6-udeb_2.10.1-4_amd64.udeb
 6b8209d2637e2ebc419c3aa8f971a30d 11214 debian-installer extra libnss-dns-udeb_2.10.1-4_amd64.udeb
 c72e0a2576581b5c1bf9e3ce9463452f 19542 debian-installer extra libnss-files-udeb_2.10.1-4_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK6tCyw3ao2vG823MRAuIrAJwICgVKz+6A6atu1F2Y1/U0k/rqgQCcDngH
ur5OmSSBro1eas1YpnwILJY=
=W4dT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Nov 2009 07:28:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:06:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.